Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160445 - sha-hmac 64 bit bug
Summary: sha-hmac 64 bit bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks
Version: 4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 08:09 UTC by Oliver Paukstadt
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version: 1.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-16 17:21:15 UTC


Attachments (Terms of Use)
Fix for this bug (deleted)
2005-06-15 08:09 UTC, Oliver Paukstadt
no flags Details | Diff

Description Oliver Paukstadt 2005-06-15 08:09:59 UTC
Description of problem:
There is a bug in sha-hmac implementation.
This makes it impossible to exchange filesystem images between 64 and 32 bit
architectures.
Maybe this has an impact on security of encryption on 64 bit.

Version-Release number of selected component (if applicable):
cryptsetup-luks-1.0-1.src.rpm

How reproducible:
create an filesystem-image with luks on 32 bit and transfer it to 64 bit.
Same if you want to use the same partion from a 32/64 Bit dualboot.

Additional info:
Patch is available and attached

Comment 1 Oliver Paukstadt 2005-06-15 08:09:59 UTC
Created attachment 115463 [details]
Fix for this bug

Comment 2 Bill Nottingham 2005-06-16 17:21:15 UTC
Added in 1.0-2; CC'ing upstream maintainer.

Comment 3 Bill Nottingham 2005-06-16 17:28:41 UTC
Note that some minor fixes need made here for it to build:

- s/uint32_t/u_int32_t/
- add a #include <sys/types.h>


Note You need to log in before you can comment on or make changes to this bug.